GET /api/v3/flag/costcenter/{costCenterId}/billFlagSummary

Returns a tabular flag summary by Account for all the accounts under the given cost center

BillFlagSummaryByAccountV3 Permissions: FlaggedItems (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
costCenterId Parent cost center identifier integer (int32) Required

Query Parameters

Name Description Type Required
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

FlagWidget
Property Description Type
flagCount Total number of bill flags represented integer (int32)
flagStatus The status of bill flags - Unresolved or Resolved string
results List of bill flag rows The rows are sorted by highest cost , then by highest cost recovery, and then by the item’s display alphabetically FlagWidgetChild[]
FlagWidgetChild properties
Property Description Type
active If the view is by Account or Meter, true indicates the account or meter is active boolean
calculated If the view is by Account or Meter, true indicates the account or meter is part of a “Bill calculation” boolean
cost Total cost of all the bills that have flags for this item number (double)
costRecovery Total cost recovery for bill flags for this item number (double)
flagCount Total number of bill flags for this item integer (int32)
itemDisplay Item display (name or code) string
itemId Identifier for the item could be meterId, placeId, accountId integer (int32)
itemType If item is a meter, this will be commodityCode If item is a building, this will say BUILDING If item is a account, this will say ACCOUNT string
parentDisplay Parent display (name or code) string
parentId Identifier for the parent of the item could be placeId, costCenterId integer (int32)
parentItemType If parent is a building, this will say BUILDING For all other types, it will say ORGANIZATION If parent is a costcenter, this will say COSTCENTER string
splitChild If the view is by Account or Meter, true indicates the account or meter is a recipient of a “Bill split” boolean
splitParent If the view is by Account or Meter, true indicates the account or meter is a master for a “Bill split” boolean
totalCost Total cost for all the bills that are represented by the bill flags number (double)
totalCostRecovery Total cost recovery represented by the bill flags number (double)
totalNumberOfResults Total number of results available If pagination was applied, Results list will have “pagesize” out of TotalNumberOfResults If pagination was not applied, Results list will have 100 out of TotalNumberOfResults integer (int32)
viewBy The type of entity we are grouping bill flags by - Meter, Account or Building string
Example Response application/json
{  "flagCount": 1,  "flagStatus": "string",  "results": [
    {    "active": false,    "calculated": false,    "cost": 1.0,    "costRecovery": 1.0,    "flagCount": 1,    "itemDisplay": "string",    "itemId": 1,    "itemType": "string",    "parentDisplay": "string",    "parentId": 1,    "parentItemType": "string",    "splitChild": false,    "splitParent": false
  }
  ],  "totalCost": 1.0,  "totalCostRecovery": 1.0,  "totalNumberOfResults": 1,  "viewBy": "string"
}